import type { ListTable } from '@visactor/vtable';
import type { pluginsDefinition } from '@visactor/vtable';
export interface ColumnSeriesOptions {
    id?: string;
    columnCount: number;
    generateColumnTitle?: (index: number) => string;
    generateColumnField?: (index: number) => string;
    autoExtendColumnTriggerKeys?: ('ArrowRight' | 'Tab')[];
}
export declare class ColumnSeriesPlugin implements pluginsDefinition.IVTablePlugin {
    id: string;
    name: string;
    runTime: ("before_keydown" | "before_init")[];
    pluginOptions: ColumnSeriesOptions;
    table: ListTable;
    columns: {
        field?: string;
        title: string;
    }[];
    constructor(pluginOptions: ColumnSeriesOptions);
    run(...args: any[]): void;
    generateColumns(columnCount: number): {
        field?: string;
        title: string;
    }[];
    generateColumn(index: number): {
        field?: string;
        title: string;
    };
    generateColumnField(index: number): string;
    resetColumnCount(columnCount: number): void;
}
